Subject: bug#20638: BUG: standard & extended RE's don't find NUL's :-(

From: Paul Eggert <[email-masked]>
Date: Mon, 25 May 2015 18:29:34 -0700

>  From the coreutils-5.97 info page:

Like I said, we're talking about grep, so you need to look at the grep manual. 
grep is not part of coreutils, so you're barking up the wrong tree again.

> It *used* to be compatible with 'awk's regex

No, that's never been true.  It wasn't true even back in the late 1970s, when I 
first used grep and awk.  If you want to blame someone, blame the Bell Labs 
hackers who wrote them in the first place.

> no tinfoil hat -- just a good memory, something you might find useful to
> work on!  ;-)

In this particular case I'm afraid your memory has played tricks on you.